Page MenuHomePhabricator

Ask users to try the beta feature (tracking)
Closed, ResolvedPublic

Description

Inform users that have not tried Content Translation yet, that they can enable the beta feature. There are several kinds of events that the information can be attached to in order to make it relevant (we should make sure that we don't inform about the existence of the feature more than once for each user, even if several mechanisms are supported):

Beta feature-related

  • History view. Show a notice the first time a user checks the history of an article crated with Content Translation. The notice will point to the CX tag, and allow users to enable the feature to try it by themselves.
  • Add to watchlist. After a user adds a page to the watchlist we can announce that the page was created a s a translation and ask the user to activate the feature to keep translating.
  • Thank the author. After thanking the author we can inform that the page was a translation and encourage the user to try the feature.
  • After new languages (relevant to the user) are supported in CX.
  • When the user gets a notification of an article being translated (T88581), if the user receiving the notification does not have CX enabled, we can suggest to do so.

Contribution entry points
Some of the proposed entry points for translation can be extended to those users with the feature disabled to encourage them to enable it:

Event Timeline

Jaredzimmerman-WMF lowered the priority of this task from High to Medium.Mar 12 2015, 3:07 AM
Amire80 raised the priority of this task from Medium to High.Mar 18 2015, 9:27 AM
Pginer-WMF renamed this task from Ask users to try the beta feature to [Traker] Ask users to try the beta feature.Apr 1 2015, 8:42 AM
Pginer-WMF set Security to None.
Elitre renamed this task from [Traker] Ask users to try the beta feature to [Tracker] Ask users to try the beta feature.Apr 15 2015, 3:21 PM
santhosh lowered the priority of this task from High to Medium.May 25 2015, 4:10 AM

Lowering the priority now since we implemented a subset of the proposals and not seeing a big problem in beta feature enablement.

Amire80 raised the priority of this task from Medium to High.Jun 23 2015, 8:19 AM
Amire80 moved this task from Long term to CX6 on the ContentTranslation board.
santhosh lowered the priority of this task from High to Medium.Jun 25 2015, 3:14 AM
Nemo_bis renamed this task from [Tracker] Ask users to try the beta feature to Ask users to try the beta feature (tracking).Dec 4 2015, 7:59 AM

@Amire80 / @Arrbee: All subtasks of this Tracking-Neverending task have been closed since 30 months ago and Tracking tasks are deprecated. Can this task either be resolved, or should it remain open and the Tracking-Neverending tag should be removed? Thanks!

Pginer-WMF closed this task as Resolved.Nov 27 2018, 10:58 AM
Pginer-WMF claimed this task.

Thanks for the reminder @Aklapper. I'll mark as resolved since the work is done and it can only bring confusion with the work on the new version.